# List Staking Orders The purpose of this endpoint is to return a status regarding the customer's active staking orders, i.e. how much money is waiting to stake, how much is currently staking and how much is in the process of exiting staking. Endpoint: GET /staking/v5/stakingOrders Version: 1.5.0 Security: ## Query parameters: - `accountNumber` (string) Filter on account number. - `externalReference` (string) Filter on external reference. - `orderType` (string) Filter on order type. Enum: "Unknown", "Entry", "Exit" - `states` (array) Filter on order states Enum: "Open", "Processing", "Completed", "Cancelled" - `page` (integer) Page. - `pageSize` (integer) Page size. Default: 10. ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Response 200 fields (application/json): - `count` (integer) - `page` (integer) - `totalCount` (integer) - `pageSize` (integer,null) - `items` (array) - `items.id` (string) Unique identifier. - `items.amount` (number) Amount to move from debit to credit account. - `items.assetSymbol` (string) Symbol corresponding to the TokenMaster asset. - `items.orderNumber` (string) User-friendly, uniquely assigned order number. Can be found as an external reference for staking order in other systems. - `items.fromAccountNumber` (string) Account that is credited. - `items.toAccountNumber` (string,null) Account that is credited. - `items.customerNumber` (integer) Customer that owns the accounts. - `items.createdOn` (string) Timestamp for when the order was stored in the database. - `items.estimatedEffectuatedTime` (string,null) Timestamp for when no-reward (entries) or reward period (exits) has ended. - `items.estimatedCompletedTime` (string,null) Timestamp for when locking has ended. - `items.effectuated` (boolean) True if internal state is Effectuated or Released. - `items.state` (string) State of the order. Enum: "Open", "Processing", "Completed", "Cancelled" - `items.type` (string) Type: Entrance or exit. Enum: "Unknown", "Entry", "Exit" - `items.externalComment` (string,null) External comment. - `items.transactionReference` (string,null) Transaction reference. ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 422 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 500 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 502 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 204 fields ## Response 401 fields ## Response 403 fields